# Resume Banks Resume Banks ## Gets all of the resume banks in the system. - [GET /resumeBanks/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/listresumebanks.md): This method will scan all resume banks and and return them to the caller. ## Creates a new resume bank record that does not already exist. - [POST /resumeBanks/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/createresumebank.md): This method will auto-generate an ID and create a new resume bank. If an ID is specified for the resume bank, an error will be thrown. ## Execute Batch Operations - [POST /resumeBanks/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a resume bank from the system by its ID. - [DELETE /resumeBanks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/deleteresumebank.md): This method will delete a resume bank with the specified ID. ## Returns a resume bank from the system by its ID. - [GET /resumeBanks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/getresumebank.md): This method will look up a resume bank by the specified ID and return it back. ## Partially updates a resume bank with the specified ID. - [PATCH /resumeBanks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/patchresumebank.md): This method will patch an existing resume bank with the specified ID, using the HTTP PATCH specification. ## Updates a resume bank with the specified ID. - [PUT /resumeBanks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/updateresumebank.md): This method will update an existing resume bank with the specified ID.